using SALTBase
using AbbreviatedTypes
using Test

# Define a concrete subtype of LinearSolverData for the test purspose.
struct DefaultLSD <: LinearSolverData end
Base.similar(::DefaultLSD) = DefaultLSD()
Base.size(::DefaultLSD) = (0,0)

function SALTBase.init_lsd!(lsd::DefaultLSD, ω::Number, ε::AbsVecNumber) end
function SALTBase.linsolve!(x::AbsVecComplexF, lsd::DefaultLSD, b::AbsVecNumber) end
function SALTBase.linsolve_transpose!(x::AbsVecComplexF, lsd::DefaultLSD, b::AbsVecNumber) end
function SALTBase.linapply!(b::AbsVecComplexF, lsd::DefaultLSD, x::AbsVecNumber) end
function SALTBase.abs2_interp!(abs2ψ::AbsVecReal, lsd::DefaultLSD, ψ::AbsVecNumber) end

include("util.jl")
include("gain.jl")
include("lasing.jl")
